﻿@model RealEstate.Models.PropertyInfoModel

@{
    /**/

    ViewBag.Title = "AddEditProperty";
    Layout = "~/Views/Shared/_Layout.cshtml";

    <style>
        .multiselect-container.dropdown-menu {
            width: 20em;
        }
    </style>
}




<div class="row">

    @using (Html.BeginForm("AddEditProperty", "Property", FormMethod.Post, new { enctype = "multipart/form-data" }))
    {
        @Html.AntiForgeryToken()


        @Html.ValidationSummary(true, "", new { @class = "text-danger" })


        <div class="row" style="margin-top:1em;">
            <div class="col-sm-6">

                @if (Model.IsprojectProperty)
                {
                    <div class="form-group">
                        @Html.LabelFor(model => model.Title, htmlAttributes: new { @class = "control-label col-md-5" })
                        <div class="col-md-7">
                            @Html.DropDownListFor(model => model.Title, new List<SelectListItem>{
                           new SelectListItem{ Text="Flat", Value = "Flat",Selected = (Model.Title == "Flat" ? true : false) },
                           new SelectListItem{ Text="Shop", Value = "Shop",Selected = (Model.Title == "Shop" ? true : false) }},
                         new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.Title, "", new { @class = "text-danger" })
                        </div>
                    </div>
                }
                else
                {
                    <div class="form-group">
                        @Html.LabelFor(model => model.Title, htmlAttributes: new { @class = "control-label col-md-5" })
                        <div class="col-md-7">
                            @Html.EditorFor(model => model.Title, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Title, "", new { @class = "text-danger" })
                        </div>
                    </div>

                }






            </div>

            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.PropertyCategoryLst, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.DropDownListFor(model => model.Property_Category_Id_F, Model.PropertyCategoryLst, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Property_Category_Id_F, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
        </div>



        <div class="row" style="margin-top:1em;">
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.ProjectLst, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.DropDownListFor(model => model.Project_Id, Model.ProjectLst, new { @class = "form-control" })
                        @Html.HiddenFor(x => x.Project_Id)
                        @Html.ValidationMessageFor(model => model.Project_Id, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>

            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.StatusLst, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.DropDownListFor(model => model.Status_Id_F, Model.StatusLst, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Status_Id_F, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
        </div>

        <div class="row" style="margin-top:1em;">
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.BHKLst, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.DropDownListFor(model => model.BHK_Id_F, Model.BHKLst, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.BHK_Id_F, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>

            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.StateLst, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.DropDownListFor(model => model.StateId, Model.StateLst, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.StateId, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>



        </div>

        <div class="row" style="margin-top:1em;">
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.FirnishingLst, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.DropDownListFor(model => model.Firnishing_Id_F, Model.FirnishingLst, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Firnishing_Id_F, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.FacingLst, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.DropDownListFor(model => model.Facing_Id_F, Model.FacingLst, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Facing_Id_F, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
        </div>

        <div class="row" style="margin-top:1em;">
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.AmenitiesLst, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.ListBoxFor(model => model.Amenities, new MultiSelectList(Model.AmenitiesLst, "Text", "Text"), new { @class = "form-control", @id = "lstAmenities" })
                        @Html.ValidationMessageFor(model => model.Amenities, "", new { @class = "text-danger" })

                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.PropertyTypeLst, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.DropDownListFor(model => model.PropertyType_Id_F, Model.PropertyTypeLst, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.PropertyType_Id_F, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
        </div>

        <div class="row" style="margin-top:1em;">
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.Cover_Area, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.Cover_Area, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Cover_Area, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.Carpet_Area, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.Carpet_Area, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Carpet_Area, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
        </div>


        <div class="row" style="margin-top:1em;">
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.PinCode, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.PinCode, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.PinCode, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.Address, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.Address, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Address, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
        </div>





        <div class="row" style="margin-top:1em;">
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.TotalFloor, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.TotalFloor, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.TotalFloor, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.CurrentFloor, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.CurrentFloor, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.CurrentFloor, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
        </div>

        <div class="row" style="margin-top:1em;">
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.MaintenanceCharge, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.MaintenanceCharge, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.MaintenanceCharge, "", new { @class = "text-danger" })
                    </div>
                </div>

            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.BookingAmount, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.BookingAmount, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.BookingAmount, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
        </div>


        <div class="row" style="margin-top:1em;">
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.Configuration, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.Configuration, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Configuration, "", new { @class = "text-danger" })
                    </div>
                </div>

            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.Society, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.Society, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Society, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
        </div>




        <div class="row" style="margin-top:1em;">

            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.Files, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.TextBoxFor(model => model.Files, "", new { @type = "file", @multiple = "multiple" })
                        @Html.ValidationMessageFor(model => model.Files, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>

            <div class="col-sm-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.Price, htmlAttributes: new { @class = "control-label col-md-5" })
                    <div class="col-md-7">
                        @Html.EditorFor(model => model.Price, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Price, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
        </div>



        <div class="row" style="margin-top:1em;">
            <div class="col-sm-12">
                <div class="form-group">
                    <span style="margin-left:35em">
                        <input type="submit" value="Submit" onclick="showloader(true);" class="btn btn-primary" />
                    </span>
                    <span><a class="btn btn-danger" href="~/Property/Index">Cancel</a></span>
                </div>
            </div>
        </div>

    }

</div>



@section scripts{



    <script type="text/javascript">
        $(function () {

            var IsProjectProperty='@Request.QueryString["IsProjectProperty"]';

            if (IsProjectProperty=='true')
                $('#Property_Category_Id_F option').filter(function () { return $(this).text() == 'Project Property'; }).prop('selected', true)



            var Property_Category = $("#Property_Category_Id_F option:selected").text()

            if (Property_Category != "Project Property") {
                $('#Project_Id').attr("disabled", true);
            }

            $("#Property_Category_Id_F").change(function () {
                if ($("#Property_Category_Id_F option:selected").text().indexOf("Project") > -1) {
                    $("#Project_Id").attr("disabled", false)
                }
                else {
                    $('#Project_Id option').filter(function () { return $(this).text() == 'None'; }).prop('selected', true)
                    $('#Project_Id').attr("disabled", true);

                }
            })
            //}




            $('#lstAmenities').multiselect({
                includeSelectAllOption: true,
                buttonWidth: "20em",
                //onChange: function (option, checked) {
                //    console.log(checked)
                //    console.log(checked)
                //    getselected()
                //},
                //onSelectAll: function (event, e) {
                //    getselected()
                //},

                //onDropdownHidden: function (event) {
                //    getselected()
                //},
            });
        });
    </script>
}
